package com.jeeplus.pubmodules.purchase.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.pubmodules.oss.service.dto.WorkAttachmentDto;
import com.jeeplus.pubmodules.purchase.domain.MaterialDetailed;

import java.util.List;

/**
 * @author: 王强
 * @create: 2022-12-02 17:26
 **/
public interface MaterialDetailedMapper extends BaseMapper<MaterialDetailed> {
    //根据基础表id查出详情数据
    List<MaterialDetailed> getByBasicId(String basicId);

    //查出附件信息
    List<WorkAttachmentDto> getByAttachmentId(String id);

    List<String> getIdByBasicId(String id);

    // 根据采购类型查询商品
    List<MaterialDetailed> getByTypeId(String typeId);
}
